package com.community.huiju.controller;


import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.common.base.BaseController;
import com.community.huiju.service.ITpActivityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

/**
 * <p>
 * 物业web端活动表 前端控制器
 * </p>
 *
 * @author weiximei
 * @since 2018-12-28
 */
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "活动 Api", description = "活动 Api")
public class ActivityController extends BaseController {

    @Autowired
    private ITpActivityService iTpActivityService;

    @ApiOperation(value = "查询活动列表数据", notes = "根据条件查询活动列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "Token"),
            @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "Login-Type", value = "值为 web"),
            @ApiImplicitParam(paramType = "body", dataTypeClass = String.class, name = "parameter", value = "pageNum第几页;" +
                    "pageSize一页多少行;activityTitle活动标题;id活动编号")
    })
    @RequestMapping(value = "/activity/list", method = RequestMethod.POST)
    public ResponseBean listQuery(@RequestBody String parameter, HttpSession session){
        ResponseBean responseBean = new ResponseBean();
        UserElement userElement = getUserElement(session);
        responseBean = iTpActivityService.listQuery(parameter, userElement);
        return responseBean;
    }

}
